package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Trnmod;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Cfagit;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.bo.model.Gitp;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.AddbcbVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitopnStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gitp gitp;
    private Cfagit cfagit;
    private AddbcbVo addbcb;
    //与前端模型保持一致
    private SwiaddVo swiadd;

    private Trnmod trnmod;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (gitp == null) {
            gitp = new Gitp();
        }
        gitp.reset();
        if (cfagit == null) {
            cfagit = new Cfagit();
        }
        cfagit.reset();
        if (addbcb == null) {
            addbcb = new AddbcbVo();
        }
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (trnmod == null) {
            trnmod = new Trnmod();
        }
        trnmod.reset();
    }
}
